Summary:	LibMPEG3 - decoding of many many derivatives of MPEG standards
Summary(pl.UTF-8):	LibMPEG3 - dekodowanie wielu alternatywnych standardów MPEG
Name:		libmpeg3
Version:	1.8
Release:	3
License:	GPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/heroines/%{name}-%{version}-src.tar.bz2
# Source0-md5:	a9d0d34e8941a4437eb8e7dfe559eca1
Patch0:		%{name}-acam.patch
Patch1:		format-security.patch
URL:		http://heroinewarrior.com/libmpeg3.php
BuildRequires:	a52dec-libs-devel >= 0.7.3
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
%ifarch i586 i686 athlon
BuildRequires:	nasm
%endif
Requires:	a52dec-libs >= 0.7.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibMPEG3 decodes the many many derivatives of MPEG standards into
uncompressed data suitable for editing and playback.

libmpeg3 currently decodes:
 - MPEG-1 Layer II Audio
 - MPEG-1 Layer III Audio
 - MPEG-2 Layer III Audio
 - MPEG-1 program streams
 - MPEG-2 program streams
 - MPEG-2 transport streams
 - AC3 Audio
 - MPEG-2 Video
 - MPEG-1 Video
 - IFO files
 - VOB files

%description -l pl.UTF-8
LibMPEG3 dekoduje wiele odmian standardu MPEG w nieskompresowany
strumień, który łatwo jest odtwarzać lub modyfikować. Aktualnie
potrafi dekodować: dźwięk MPEG-1 Layer II i III oraz MPEG-2 Layer 3,
strumienie MPEG-1 i MPEG-2, dźwięk AC3, obraz MPEG-1 i MPEG-2, pliki
IFO oraz VOB.

%package devel
Summary:	Header files for developing programs using libmpeg3
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania programów używających libmpeg3
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	a52dec-libs-devel >= 0.7.3

%description devel
This package is all you need to develop programs that handle the
various video and audio file formats supported by libmpeg3.

%description devel -l pl.UTF-8
Ten pakiet to wszystko czego potrzebujesz by rozwijać programy
obsługujące różne formaty plików wideo oraz audio wspierane przez
libmpeg3.

%package static
Summary:	Static libmpeg3 library
Summary(pl.UTF-8):	Statyczna biblioteka libmpeg3
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libmpeg3 library.

%description static -l pl.UTF-8
Statyczna biblioteka libmpeg3.

%package progs
Summary:	libmpeg3 utility programs
Summary(pl.UTF-8):	Programy użytkowe based on libmpeg3
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
This package includes various utility programs for manipulating MPEG
files for use by libmpeg3 programs.

%description progs -l pl.UTF-8
Ten pakiet zawiera różne programy narzędziowe do manipulowania plikami
MPEG.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
CFLAGS="%{rpmcflags} %{!?debug:-fomit-frame-pointer}"
%configure \
%ifarch i586 i686 athlon
	--enable-mmx
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmpeg3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmpeg3.so.1

%files devel
%defattr(644,root,root,755)
%doc docs/index.html
%attr(755,root,root) %{_libdir}/libmpeg3.so
%{_libdir}/libmpeg3.la
%{_includedir}/libmpeg3

%files static
%defattr(644,root,root,755)
%{_libdir}/libmpeg3.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mpeg3cat
%attr(755,root,root) %{_bindir}/mpeg3dump
%attr(755,root,root) %{_bindir}/mpeg3peek
%attr(755,root,root) %{_bindir}/mpeg3toc
%changelog
* Mon Mar 09 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmpeg3.git;a=log;h=master

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 43aec21
- fix format string errors
- rel 3

* Mon Jul 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 4dc857e
- GPL version
- release 3

* Mon Jul 15 2013 Jakub Bogusz <qboosh@pld-linux.org> 3d42e85
- updated URLs

* Wed Aug 25 2010 Elan Ruusamäe <glen@pld-linux.org> bbd2a5a
- release 2

* Wed Aug 27 2008 Jakub Bogusz <qboosh@pld-linux.org> 0ab7a3a
- updated to 1.8
- updated acam patch

* Wed Aug 27 2008 Jakub Bogusz <qboosh@pld-linux.org> f69b8f9
- updated for 1.8

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a105575
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cf63256
- converted to UTF-8

* Thu Jan 04 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 9f0e719
- rel 2

* Tue Jul 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 833754d
- updated to 1.7, updated acam patch

* Tue Jul 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 8c34545
- updated for 1.7

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 63079e0
- orphaned, outdated

* Tue Oct 11 2005 Jakub Bogusz <qboosh@pld-linux.org> f18b716
- updated to 1.6, updated acam patch

* Tue Oct 11 2005 Jakub Bogusz <qboosh@pld-linux.org> d9f062f
- updated for 1.6.0, up to ac 2.50

* Thu Oct 28 2004 Jakub Bogusz <qboosh@pld-linux.org> 29ccd94
- pl fix

* Thu Feb 19 2004 grzegol <grzegol@pld-linux.org> 8b0ba9e
- outdated

* Thu Feb 19 2004 grzegol <grzegol@pld-linux.org> eb7a559
- updated to 1.5.4
- removed outdated declaration patch
- strict internal requires

* Wed Nov 12 2003 Jakub Bogusz <qboosh@pld-linux.org> 308b136
- BR nasm only on x86

* Wed Nov 12 2003 Jakub Bogusz <qboosh@pld-linux.org> 89bdf51
- 1.5.3, updated declaration patch, removed obsolete pthread,int64 patches

* Thu Oct 02 2003 Jakub Bogusz <qboosh@pld-linux.org> 5fc3b05
- fixed URL

